Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11792)
@@ -2949,51 +3633,74 @@
         <NamedArea name="ViewableAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_vscrollbar__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_vscrollbar__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ViewableAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_vscrollbar__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_hscrollbar__" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_vscrollbar__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <WidgetDim dimension="Height" widget="__auto_hscrollbar__" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="SleekSpace/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-12" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="12" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="SleekSpace/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-12" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="12" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="SleekSpace/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="12" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-12" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="SleekSpace/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="12" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-12" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -3002,18 +3709,20 @@
         <StateImagery name="Disabled" />
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/TabButton
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/TabButton">
         <ImagerySection name="label">
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <VertFormat type="CentreAligned" />
@@ -3024,18 +3733,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="SleekSpace" image="TabButtonUpperLeftNormal" />
-                <Image type="TopRightCorner" imageset="SleekSpace" image="TabButtonUpperRightNormal" />
-                <Image type="BottomLeftCorner" imageset="SleekSpace" image="TabButtonLowerLeftNormal" />
-                <Image type="BottomRightCorner" imageset="SleekSpace" image="TabButtonLowerRightNormal" />
-                <Image type="LeftEdge" imageset="SleekSpace" image="TabButtonLeftNormal" />
-                <Image type="RightEdge" imageset="SleekSpace" image="TabButtonRightNormal" />
-                <Image type="TopEdge" imageset="SleekSpace" image="TabButtonUpperNormal" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="TabButtonLowerNormal" />
-                <Image type="Background" imageset="SleekSpace" image="TabButtonMiddleNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="SleekSpace/TabButtonUpperLeftNormal" />
+                <Image component="TopRightCorner" name="SleekSpace/TabButtonUpperRightNormal" />
+                <Image component="BottomLeftCorner" name="SleekSpace/TabButtonLowerLeftNormal" />
+                <Image component="BottomRightCorner" name="SleekSpace/TabButtonLowerRightNormal" />
+                <Image component="LeftEdge" name="SleekSpace/TabButtonLeftNormal" />
+                <Image component="RightEdge" name="SleekSpace/TabButtonRightNormal" />
+                <Image component="TopEdge" name="SleekSpace/TabButtonUpperNormal" />
+                <Image component="BottomEdge" name="SleekSpace/TabButtonLowerNormal" />
+                <Image component="Background" name="SleekSpace/TabButtonMiddleNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -3043,18 +3760,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="SleekSpace" image="TabButtonUpperLeftSelected" />
-                <Image type="TopRightCorner" imageset="SleekSpace" image="TabButtonUpperRightSelected" />
-                <Image type="BottomLeftCorner" imageset="SleekSpace" image="TabButtonLowerLeftSelected" />
-                <Image type="BottomRightCorner" imageset="SleekSpace" image="TabButtonLowerRightSelected" />
-                <Image type="LeftEdge" imageset="SleekSpace" image="TabButtonLeftSelected" />
-                <Image type="RightEdge" imageset="SleekSpace" image="TabButtonRightSelected" />
-                <Image type="TopEdge" imageset="SleekSpace" image="TabButtonUpperSelected" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="TabButtonLowerSelected" />
-                <Image type="Background" imageset="SleekSpace" image="TabButtonMiddleSelected" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="SleekSpace/TabButtonUpperLeftSelected" />
+                <Image component="TopRightCorner" name="SleekSpace/TabButtonUpperRightSelected" />
+                <Image component="BottomLeftCorner" name="SleekSpace/TabButtonLowerLeftSelected" />
+                <Image component="BottomRightCorner" name="SleekSpace/TabButtonLowerRightSelected" />
+                <Image component="LeftEdge" name="SleekSpace/TabButtonLeftSelected" />
+                <Image component="RightEdge" name="SleekSpace/TabButtonRightSelected" />
+                <Image component="TopEdge" name="SleekSpace/TabButtonUpperSelected" />
+                <Image component="BottomEdge" name="SleekSpace/TabButtonLowerSelected" />
+                <Image component="Background" name="SleekSpace/TabButtonMiddleSelected" />
             </FrameComponent>
         </ImagerySection>
@@ -3086,5 +3811,5 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
                 <Section section="label">
@@ -3094,26 +3819,28 @@
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/TabPane
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/TabPane">
         <ImagerySection name="normal">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="BottomLeftCorner" imageset="SleekSpace" image="TabPaneLowerLeft" />
-                <Image type="BottomRightCorner" imageset="SleekSpace" image="TabPaneLowerRight" />
-                <Image type="LeftEdge" imageset="SleekSpace" image="TabPaneLeft" />
-                <Image type="RightEdge" imageset="SleekSpace" image="TabPaneRight" />
-                <Image type="TopEdge" imageset="SleekSpace" image="TabControlButtonPaneFiller" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="TabPaneLower" />
-                <Image type="Background" imageset="SleekSpace" image="TabPaneMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="BottomLeftCorner" name="SleekSpace/TabPaneLowerLeft" />
+                <Image component="BottomRightCorner" name="SleekSpace/TabPaneLowerRight" />
+                <Image component="LeftEdge" name="SleekSpace/TabPaneLeft" />
+                <Image component="RightEdge" name="SleekSpace/TabPaneRight" />
+                <Image component="TopEdge" name="SleekSpace/TabControlButtonPaneFiller" />
+                <Image component="BottomEdge" name="SleekSpace/TabPaneLower" />
+                <Image component="Background" name="SleekSpace/TabPaneMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -3126,31 +3853,41 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/TabControl
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/TabControl">
         <Property name="TabButtonType" value="SleekSpace/TabButton" />
-        <Child  type="SleekSpace/TabPane" nameSuffix="__auto_TabPane__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_TabPane__" type="SleekSpace/TabPane">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </Child>
-        <Child  type="DefaultWindow" nameSuffix="__auto_TabPane__Buttons">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_TabPane__Buttons" type="DefaultWindow">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </Child>
@@ -3158,215 +3895,4 @@
         <StateImagery name="Disabled" />
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/MenuItem
-    ***************************************************
-    <WidgetLook name="SleekSpace/MenuItem">
-        <ImagerySection name="label">
-            <TextComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="MenuLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="SleekSpace" image="MenuTop" dimension="Height" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="SleekSpace" image="MenuRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="SleekSpace" image="MenuBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <VertFormat type="CentreAligned" />
-                <HorzFormat type="LeftAligned" />
-            </TextComponent>
-        </ImagerySection>
-        <ImagerySection name="frame">
-            <FrameComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="SleekSpace" image="MenuTopLeft" />
-                <Image type="TopRightCorner" imageset="SleekSpace" image="MenuTopRight" />
-                <Image type="BottomLeftCorner" imageset="SleekSpace" image="MenuBottomLeft" />
-                <Image type="BottomRightCorner" imageset="SleekSpace" image="MenuBottomRight" />
-                <Image type="LeftEdge" imageset="SleekSpace" image="MenuLeft" />
-                <Image type="RightEdge" imageset="SleekSpace" image="MenuRight" />
-                <Image type="TopEdge" imageset="SleekSpace" image="MenuTop" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="MenuBottom" />
-                <Image type="Background" imageset="SleekSpace" image="MenuMiddle" />
-            </FrameComponent>
-        </ImagerySection>
-        <ImagerySection name="popup_arrow_right">
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="PopupMenuArrowRight" />
-                <VertFormat type="CentreAligned" />
-                <HorzFormat type="RightAligned" />
-            </ImageryComponent>
-        </ImagerySection>
-        <ImagerySection name="popup_arrow_left">
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="PopupMenuArrowLeft" />
-                <VertFormat type="CentreAligned" />
-                <HorzFormat type="RightAligned" />
-            </ImageryComponent>
-        </ImagerySection>
-        <StateImagery name="EnabledNormal">
-            <Layer>
-                <Section section="label" />
-            </Layer>
-        </StateImagery>
-        <StateImagery name="EnabledHover">
-            <Layer>
-                <Section section="frame" />
-                <Section section="label" />
-            </Layer>
-        </StateImagery>
-        <StateImagery name="EnabledPushed">
-            <Layer>
-                <Section section="frame" />
-                <Section section="label" />
-            </Layer>
-        </StateImagery>
-        <StateImagery name="EnabledPopupOpen">
-            <Layer>
-                <Section section="frame" />
-                <Section section="label" />
-            </Layer>
-        </StateImagery>
-        <StateImagery name="DisabledNormal">
-            <Layer>
-                <Section section="label">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
-                </Section>
-            </Layer>
-        </StateImagery>
-        <StateImagery name="DisabledHover">
-            <Layer>
-                <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
-                </Section>
-                <Section section="label">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
-                </Section>
-            </Layer>
-        </StateImagery>
-        <StateImagery name="DisabledPushed">
-            <Layer>
-                <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
-                </Section>
-                <Section section="label">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
-                </Section>
-            </Layer>
-        </StateImagery>
-        <StateImagery name="DisabledPopupOpen">
-            <Layer>
-                <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
-                </Section>
-                <Section section="label">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
-                </Section>
-            </Layer>
-        </StateImagery>
-        <StateImagery name="PopupClosedIcon">
-            <Layer>
-                <Section section="popup_arrow_right" />
-            </Layer>
-        </StateImagery>
-        <StateImagery name="PopupOpenIcon">
-            <Layer>
-                <Section section="popup_arrow_left" />
-            </Layer>
-        </StateImagery>
-    </WidgetLook>
-    
-    ***************************************************
-        SleekSpace/PopupMenu
-    ***************************************************
-    <WidgetLook name="SleekSpace/PopupMenu">
-        <NamedArea name="ItemRenderArea">
-            <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="PopupMenuFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="SleekSpace" image="PopupMenuFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="PopupMenuFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="PopupMenuFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-            </Area>
-        </NamedArea>
-        <ImagerySection name="frame">
-            <FrameComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="SleekSpace" image="PopupMenuFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="SleekSpace" image="PopupMenuFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="SleekSpace" image="PopupMenuFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="SleekSpace" image="PopupMenuFrameBottomRight" />
-                <Image type="LeftEdge" imageset="SleekSpace" image="PopupMenuFrameLeft" />
-                <Image type="RightEdge" imageset="SleekSpace" image="PopupMenuFrameRight" />
-                <Image type="TopEdge" imageset="SleekSpace" image="PopupMenuFrameTop" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="PopupMenuFrameBottom" />
-                <Image type="Background" imageset="SleekSpace" image="PopupMenuMiddle" />
-            </FrameComponent>
-        </ImagerySection>
-        <StateImagery name="Enabled">
-            <Layer>
-                <Section section="frame" />
-            </Layer>
-        </StateImagery>
-        <StateImagery name="Disabled">
-            <Layer>
-                <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
-                </Section>
-            </Layer>
-        </StateImagery>
-    </WidgetLook>
-
-    -->
-    
-    <!--
-    ***************************************************
-        SleekSpace/LargeVerticalScrollbarThumb
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/LargeVerticalScrollbarThumb">
         <Property name="VertFree" value="True" />
@@ -3374,10 +3900,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="VertScrollThumbNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/VertScrollThumbNormal" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3387,10 +3921,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="VertScrollThumbHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/VertScrollThumbHover" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
